package com.casic.missiles.modular.system.enums;

import com.casic.missiles.config.DeviceServerProperties;

import com.casic.missiles.core.util.SpringContextHolder;

public enum DeviceExportEnum  {

    /**
     *
     */
    WELLDATA_EXPORT("wellCoverData.xlsx", "wellCoverData.xlsx", "井盖查询数据"),
    LIQUIDDATA_EXPORT("liquidData.xlsx", "liquidData.xlsx", "液位数据"),
    GASDATA_EXPORT("gasData.xlsx", "gasData.xlsx", "燃气数据"),
    TUBEDATA_EXPORT("gasData.xlsx", "tubeData.xlsx", "管盯数据"),
    HARMFULDATA_EXPORT("harmfulData.xlsx","harmfulData.xlsx","有害气体数据"),
    TEMPDATA_EXPORT("tempData.xlsx","tempData.xlsx","温湿度数据"),
    TEMPPRESSDATA_EXPORT("tempPressData.xlsx","tempPressData.xlsx","压力数据"),
    DIGDATA_EXPORT("digData.xlsx","digData.xlsx","开挖数据"),
    WELLLOCDATA_EXPORT("wellLocData.xlsx","wellLocData.xlsx","井盖定位数据"),
    NOISEDATA_EXPORT("noiseData.xlsx","noiseData.xlsx","噪声记录仪数据"),
    BUSCONCENTRATOR_EXPORT("busConcentrator.xlsx", "busConcentrator.xlsx", "集中器数据"),
    DEVICE_EXPORT("device.xlsx", "device.xlsx", "设备数据"),
    LIQUIDGASDATA_EXPORT("gasLiquidData.xlsx", "gasLiquidData.xlsx", "燃气液位一体化数据");

    /**
     * 导出模板相对路径
     */
    private String fileTempPath;
    /**
     * 下载文件名
     */
    private String fileName;
    /**
     * 描述信息
     */
    private String description;

    DeviceExportEnum(String fileTempPath, String fileName, String description) {
        this.fileTempPath = SpringContextHolder.getBean(DeviceServerProperties.class).getExportPath().concat(fileTempPath);
        this.fileName = fileName;
        this.description = description;
    }


    public String getFileTempPath() {
        return fileTempPath;
    }


    public String getFileName() {
        return fileName;
    }


    public String getDescription() {
        return description;
    }
}
